use jsonfilter::matches;
use serde_json::json;

fn main() {
    assert!(matches(
        &json!({
            "$and": [
                { "key": "value" },
                { "num":  5 }
            ]
        }),
        &json!({
            "key": "value",
            "num": 5
        })
    ));

    assert!(!matches(
        &json!({
            "$and": [
                { "key": "value" },
                { "num":  5 }
            ]
        }),
        &json!({
            "key": "value",
            "num": 3
        })
    ));
}
